DtInitialize(library call)

NAME
DtInitialize, DtAppInitialize — initialize the Desktop Services library

SYNOPSIS

#include &<Dt/Dt.h>
Boolean DtInitialize(
Display *display,
Widget widget,
char *name,
char *tool_class,
Boolean DtAppInitialize(
XtAppContext app_context,
Display *display,
Widget widget,
char *name,
char *tool_class);

DESCRIPTION

These functions perform the one-time initialization in the Desktop Services library. Applications must call either DtInitialize or DtAppInitialize before calling any other Desktop Services library routines.

The difference between these two functions is whether app_context is specified. DtInitialize uses the default Intrinsic XtAppContext.

The app_context argument is the application context, display is the X display connection, widget is the application's top-level Widget, name is the application name and tool_class is the application class.

RETURN VALUES

Upon successful completion, DtAppInitialize and DtInitialize return True if the library has been correctly initialized; otherwise, they return False.

SEE ALSO

XtAppInitialize(3), XtToolkitInitialize(3), XtCreateApplicationContext(3).